<id>
Anti-Leech Mod V 1.1 for YaBB 2.0 & YaBB 2.1
</id>

<version>
1.1
</version>

<mod info>
For YaBB 2.0 & 2.1

About mod:
The Anti-Leech Mod allows you to protect your bandwidth by preventing unauthorized sites linking to your images or downloadable files in your Attachments directory of your Forum.


History:

V 1.1
- Fixed the problem with the AntiLeechcfg.txt

V 1.0
- Fixed some little bugs

V 0.9 Beta
- Add the possibility in the Admin Center to switch the Anti-Leech Mod On or Off.
- Add the possibility in the Admin Center to block empty referrers

V 0.8 Beta:
- Removed some unnecessarily changes in some files

V 0.7 Beat:
- "Save as" shows the correct filename

V 0.5 Beta:
- First Beta release.

Attention:

This Mod is not compatible with the Attachment Counter/List Mod.

The .htaccess file is not really necessary.
It prevents visitors to link to the images directly, if they know where the images are located on the server. 
In that case it is better to change the default attachment directory, to prevent that. 


Installing:
- Apply the mod.
- Upload modified files (in ASCII mode):
	Sources/Display.pl
	Admin/AdminSubList.pl
	Admin/ModList.pl
	AdminIndex.pl

- Upload AntiLeech.pl in the Admin folder (in ASCII mode) and chmod it 700.
- Upload AntiLeechEdit.pl in the Admin folder (in ASCII mode) and chmod it 666.
- Upload .htaccess to Attachments folder (in ASCII mode) and chmod it 666.
- Upload AntiLeech.lng in the Languages folder (in ASCII mode) and chmod it 755.
- Upload AntiLeechcfg.txt in the Variables folder (in ASCII mode) and chmod it 644.
- Upload noaccess.gif in the Modimages folder (in ASCII mode) and chmod it 644.
- Upload notfound.gif in the Modimages folder (in ASCII mode) and chmod it 644.

All errors and request please send to my email: yabbmod@spyderweb.nl (In Dutch or English)
</mod info>

<author>
Edwin Witte (spYder)
</author>

<homepage>
http://www.spyderweb.nl/
</homepage>


<edit file>
Sources/Display.pl
</edit file>

<search for>
				$attachment = qq~<span class="small"><a href="$uploadurl/$mfn" target="_blank"><img src="$imagesdir/paperclip.gif" border="0" align="middle" alt="" /> $mfn</a></span>~;
</search for>

<replace>
				$attachment = qq~<span class="small"><a href="$boardurl/Admin/AntiLeech.pl?file=$mfn" target="_blank"><img src="$imagesdir/paperclip.gif" border="0" align="middle" alt="" /> $mfn</a></span>~;
</replace>

<search for>
					$showattach   = qq~<div class="scroll" style="max-height: 400px; width: 100%; overflow: auto;" align="center"><img src="$uploadurl/$mfn" alt="$mfn" border="0" /></div>~;
</search for>

<replace>
					$showattach   = qq~<div class="scroll" style="max-height: 400px; width: 100%; overflow: auto;" align="center"><img src="$boardurl/Admin/AntiLeech.pl?file=$mfn" alt="$mfn" border="0" /></div>~;
</replace>


<edit file>
Admin/AdminSubList.pl
</edit file>

<search for>
'updatenotify',"Admin.pl&UpdateNotify",
</search for>

<add after>
'antileech',"AntiLeechEdit.pl&AntiLeechEdit",
'antileech2',"AntiLeechEdit.pl&AntiLeechEdit2",
</add after>


<edit file>
Admin/ModList.pl
</edit file>

<search for>
### END BOARDMOD ANCHOR ###
</search for>

<add before>
	$anti_leech_mod = "Anti-Leech Mod for YaBB 2 & YaBB 2.1|Edwin Witte (spYder)|The Anti-Leech Mod allows you to protect your bandwidth by preventing unauthorized sites linking to your images or downloadable files in your Attachments directory of your Forum.|1.1|01/07/06";
	push (@installed_mods, "$anti_leech_mod");
</add before>


<edit file>
AdminIndex.pl
</edit file>

<search for>
### END BOARDMOD ANCHOR ###
</search for>

<add before>
	## Anti-Leech Mod ##
	$AntiLeechMod = "antileech|Anti-Leech Mod|Anti-Leech Mod|";
	push (@boardmod_mods, "$AntiLeechMod");	
</add before>	
