###############################################################################
# AntiLeechEdit.pl
###############################################################################
# YaBB: Yet another Bulletin Board                                            #
# Open-Source Community Software for Webmasters                               #
# Version:        YaBB 2.1                                                    #
# Released:       November 8, 2005                                            #
# Distributed by: http://www.yabbforum.com                                    #
# =========================================================================== #
# Copyright (c) 2000-2005 YaBB (www.yabbforum.com) - All Rights Reserved.     #
# Software by: The YaBB Development Team                                      #
#              with assistance from the YaBB community.                       #
# Sponsored by: Xnull Internet Media, Inc. - http://www.ximinc.com            #
#               Your source for web hosting, web design, and domains.         #
###############################################################################
# Anti-Leech Mod for YaBB 2.0 & YaBB 2.1
# Add a function for upload Users Avatars on you YaBB forum.
# Version:        1.1                                     													#
# Released:       July 01th, 2006                                         												#
# =============================================================================
# Written by Edwin Witte (spYder) for the YaBB community
# Website: http://www.spyderweb.nl/
###############################################################################

$forumonlineplver = "YaBB 2.0 & YaBB 2.1";

LoadLanguage("AntiLeech");
 
 
require "$vardir/AntiLeechcfg.txt";
if ($enableantileech) {
		$check1 = 'checked="checked" ';}
if ($blockemptyref) {
		$check2 = 'checked="checked" ';}		

if (-e ("YaBB.cgi")) { $yyext = "cgi"; }
else { $yyext = "pl"; }

sub AntiLeechEdit {
&is_admin_or_gmod;
$yymain .= qq~
<div class="bordercolor" style="padding: 0px; width: 99%; margin-left: 0px; margin-right: auto;">
	<form action="$adminurl?action=antileech2" method="post">
	<table width="100%" cellspacing="1" cellpadding="4">
     <tr valign="middle">
       <td align="left" class="titlebg" colspan="2"><img src="$imagesdir/preferences.gif" alt="" border="0" /><b>$antileech_txt{'01'}</b></td>
     </tr>
     <tr align="center" valign="middle">
       <td align="left" class="catbg" colspan="2"><span class="small">$antileech_txt{'06'} $antileech_txt{'07'}</span></td>
     </tr>
     <tr valign="middle">
       <td align="left" class="windowbg2" width="80%">$antileech_txt{'02'}<br /></td>
       <td align="left" class="windowbg2"><input type="checkbox" name="enableantileech" value="1" $check1 /></td>   
     </tr>
     <tr valign="middle">
       <td align="left" class="windowbg2" width="80%">$antileech_txt{'03'}<br /><span class="small"><i>$antileech_txt{'04'}</i></span></td>
       <td align="left" class="windowbg2"><input type="checkbox" name="blockemptyref" value="1" $check2 /><br /></td>   
     </tr>
     </tr>
     <tr valign="middle">
     <td align="center" class="catbg" colspan="2"><input type="submit" value="$antileech_txt{'05'}" /></td>
     </tr>     
   </table>
   </form>
 </div>
~;	
	&AdminTemplate;
	exit;
}

sub AntiLeechEdit2 {
	
	&is_admin_or_gmod;
	
	$enableantileech = $FORM{'enableantileech'} || 0;
	$blockemptyref = $FORM{'blockemptyref'}  || 0;
	
	my $setfile = << "EOF";
###############################################################################
# AntiLeechcfg.txt (AntiLeech configurations)                                    #
###############################################################################

\$enableantileech = "$enableantileech";			# Set to enable Anti-Leech
\$blockemptyref   = "$blockemptyref";			# Set to block empty referrers
						
1;
EOF

	fopen(ANTILEECHFILE, ">$vardir/AntiLeechcfg.txt");
	print ANTILEECHFILE $setfile;
	fclose(ANTILEECHFILE);
	
	if ($action eq "antileech2") {
		$yySetLocation = qq~$adminurl~;
		&redirectexit;
	}

}

1;

